#ifndef IMAGEPARAMETERS_H
#define IMAGEPARAMETERS_H
#include "save2filetexts.h"
#include <QByteArray>
#include <QTextStream>

class ImageParameters {
public:
  ImageParameters();

  uint16_t width;
  uint16_t height;
  bool rgb;

  bool setWidth(QByteArray &data);
  bool setHeight(QByteArray &data);
  bool setRGB(QByteArray &data);
};

QTextStream &operator<<(QTextStream &out, ImageParameters img);

#endif // IMAGEPARAMETERS_H
